PostgreSQL 7.2.1 Documentation
Prev |  | Next

# get_attnames

## Name

get_attnames -- returns the attribute names of a table

## Synopsis

    get_attnames(table)

### Parameters

`table`

  name of table.

### Return Type

dictionary

  The dictionary's keys are the attribute names, the values are the type names of the attributes.

## Description

Given the name of a table, digs out the set of attribute names and types.

Prev | Home | Next
get_tables | Up | get